

/* Section */
.section {
  padding: 60px 20px;
  text-align: center;
}

.section h1 {
  font-size: 36px;
  margin-bottom: 40px;
  color: #333;
}

/* Product Row */
.product-row {
  display: flex;
  justify-content: center;
  gap: 40px;
  flex-wrap: wrap;
}

/* Product Card */
.product-card {
  width: 450px;
  height: 450px;
  position: relative;
  overflow: hidden;
  border-radius: 20px;
  cursor: pointer;
  transition: 0.4s;
}

/* Image */
.product-card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: 0.5s;
}

/* Overlay */
.overlay {
  position:absolute;
  bottom: 0;
  width:100%;

  display: flex;
  align-items: flex-end;
  justify-content: center;
  padding-bottom: 30px;
  transition: 0.5s;
}

/* Text */
.product-name {
  color: #fff;
  font-size: 24px;
  letter-spacing: 1px;
  transform: translateY(20px);
  transition: 0.4s;
}

/* Hover Effects */
.product-card:hover {
  transform: translateY(-10px) scale(1.03);
}

.product-card:hover img {
  transform: scale(1.1);
}

.product-card:hover .overlay {
  background: linear-gradient(to top, rgba(0,0,0,0.9), transparent);
}

.product-card:hover .product-name {
  transform: translateY(0);
  font-size: 28px;
}

/* Responsive */
@media(max-width:768px){
  .product-row {
    flex-direction: column;
    align-items: center;
  }
}